<!-- TODO - when there is more than one app: all throughout the page replace 'wizard' for the selected app -->
{% load static %}
{% static "" as baseUrl %}
{% load i18n %}
{% get_current_language as LANGUAGE_CODE %}

<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
    <meta charset="UTF-8">
    <title>OPENCoastS</title>
    <!--<link rel="icon" href="{% static 'shared/img/favicon.ico' %}" type="image/x-icon"/>
    <link rel="shortcut icon" href="{% static 'shared/img/favicon.ico' %}" type="image/x-icon"/>-->
    <link rel="icon" type="image/png" href="{% static 'shared/img/favicon.png' %}" />

    <!-- JQuery -->
    <script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}">
    <script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>

    <!-- IntroJS -->
    <link rel="stylesheet" href="{% static 'vendor/intro/introjs.css' %}">
    <script src="{% static 'vendor/intro/intro.js' %}"></script>

    <!-- Google font -->
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">

    <!-- Custom -->
    <link rel="stylesheet" href="{% static 'shared/css/style.css' %}">
    {% if app %}
    <!-- Get App's stylesheet -->
    <link rel="stylesheet" href="{{ baseUrl }}{{ app }}/css/style.css">
    {% endif %}
    <script src="{% static 'shared/js/custom.js' %}"></script>
</head>
<body>
    {% include "front/menu.html" %}

    <div class="container">
        <div class="main">
            {% block content %}
            {% endblock %}
        </div>
    </div>

    {% include "front/footer.html" %}
    {% include "front/modal/message.html" %}
    {% include "front/modal/confirm.html" %}

    {% if not request.session.deploy_id %}
    {% include "wizard/modal/inputname.html" %}
    {% endif %}

    <script type="text/javascript">
        // Global variables needed throughout all app
        {% if request.session.last_step %}
        var last_step = {{ request.session.last_step }};
        {% else %}
        var last_step = 0;
        {% endif %}

        {% if step %}
        var step = {{ step|default:0 }};
        {% else %}
        var step = 0;
        {% endif %}

        // On Document Ready
        $(function(){
            {% if msg_str %}
            $('#divModal_msg').modal('show');
            {% endif %}
        });
    </script>
</body>
</html>